> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new form



## OpenAPI

````yaml post /admin/forms
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/forms:
    post:
      tags:
        - Program Forms
      summary: Create a new form
      operationId: c03d745cfde1935fb9e37ddf5a28dc69
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                name:
                  description: The name of the form
                  type: string
                  example: Donation Form
                type:
                  description: The type of the form
                  type: string
                  example: entity
                client_id:
                  description: The id of the client
                  type: string
                  example: 1
              type: object
      responses:
        '200':
          description: Successfully created form
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Created Form
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid input
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````